Bug 50110 - Missing UCR header: /etc/runit/univention-directory-listener/run
Missing UCR header: /etc/runit/univention-directory-listener/run
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Listener (univention-directory-listener)
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-2-errata
Assigned To: Philipp Hahn
Julia Bremer
:
Depends on: 50109
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-05 12:56 CEST by Philipp Hahn
Modified: 2019-10-30 12:17 CET (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2019-09-05 12:56:13 CEST
+++ This bug was initially created as a clone of Bug #50109 +++
test/ucs-test/tests/03_ucr/63checkucrwarning:
  Error: Missing UCR header for /etc/runit/univention-directory-listener/run

Please remove the file from WHITELIST in the ucs-test after fixing.
Comment 1 Philipp Hahn univentionstaff 2019-10-25 18:04:56 CEST
[4.4-2] 7c686fbce3 Bug #50110 UDL: Add missing UCR header to run script
 doc/errata/staging/univention-directory-listener.yaml                  | 3 ++-
 .../conffiles/etc/runit/univention-directory-listener/run              | 1 +
 management/univention-directory-listener/debian/changelog              | 1 +
 3 files changed, 4 insertions(+), 1 deletion(-)

Package: univention-directory-listener
Version: 13.0.2-12A~4.4.0.201910250856
Branch: ucs_4.4-0
Scope: errata4.4-2

[4.4-2] b432e55e77 Bug #47587: univention-directory-listener 13.0.2-12A~4.4.0.201910250856
 doc/errata/staging/univention-directory-listener.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

TODO after QA: remove the file from WHITELIST in the ucs-test.
Comment 2 Philipp Hahn univentionstaff 2019-10-25 19:23:56 CEST
(In reply to Philipp Hahn from comment #1)
> TODO after QA: remove the file from WHITELIST in the ucs-test.

[4.4-2] ca394f619c Bug #50110 test: Check UDL/run template header again
 test/ucs-test/debian/changelog               | 6 ++++++
 test/ucs-test/tests/03_ucr/63checkucrwarning | 1 -
 2 files changed, 6 insertions(+), 1 deletion(-)

Package: ucs-test
Version: 9.0.3-85A~4.4.0.201910251921
Branch: ucs_4.4-0
Scope: errata4.4-2
Comment 3 Julia Bremer univentionstaff 2019-10-28 09:26:31 CET
Added UCR header: OK
Test passes: OK
Removed file from whitelist: OK

Verified
Comment 4 Erik Damrose univentionstaff 2019-10-30 12:17:35 CET
<http://errata.software-univention.de/ucs/4.4/327.html>